Subject: Re: Last Call: <draft-ietf-rtgwg-yang-key-chain-15.txt> (Routing Key Chain YANG Data Model) to Proposed Standard

From: tom p. <[email-masked]>
Date: Tue, 21 Mar 2017 16:44:52 +0000

Why does this I-D make no mention of YANG 1.1, which has been around for
a while now (albeit not superseding YANG 1.0)?

Has the YANG module been validated against YANG 1.1?

Tom Petch

----- Original Message -----
From: "The IESG" <[email-masked]>
Sent: Friday, March 17, 2017 4:23 PM

>
> The IESG has received a request from the Routing Area Working Group WG
> (rtgwg) to consider the following document:
> - 'Routing Key Chain YANG Data Model'
>   <draft-ietf-rtgwg-yang-key-chain-15.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2017-04-07. Exceptionally, comments may
be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> Abstract
>
>
>    This document describes the key chain YANG data model.  A key chain
>    is a list of elements each containing a key string, send lifetime,
>    accept lifetime, and algorithm (authentication or encryption).  By
>    properly overlapping the send and accept lifetimes of multiple key
>    chain elements, key strings and algorithms may be gracefully
updated.
>    By representing them in a YANG data model, key distribution can be
>    automated.  Key chains are commonly used for routing protocol
>    authentication and other applications.  In some applications, the
>    protocols do not use the key chain element key directly, but rather
a
>    key derivation function is used to derive a short-lived key from
the
>    key chain element key (e.g., the Master Keys used in the TCP
>    Authentication Option.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-rtgwg-yang-key-chain/
>
> IESG discussion can be tracked via
>
https://datatracker.ietf.org/doc/draft-ietf-rtgwg-yang-key-chain/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 21 Mar 2017 17:47:09 +0000

+yang-doctors

Hi Tom, 

The draft validates with no errors/warnings with either 1.0 or 1.1 for the
version using the draft validator:

http://www.yangvalidator.com/draft-validator

But this raises an interesting point. Should the published version be 1.0
since the model doesn¹t make usage of any 1.1 constructs?

Thanks,
Acee